trans_table <- function(ds,f.vars,sqrts=NULL,logs=NULL){
## Handles back-transformation for table with co, lo and hi
## 
## ds = matrix or table including colnames co, lo and hi
## sqrts sqrt-trasformed variables names
## logs log-trasformed independent variables names
## f.vars dichotomous variables
  # f.vars <- f.names
  # ds<-df_m
  # sqrts <- "pase_0"
  # logs <- "nihss_0"

  ds<-ds|>data.frame()|>mutate(across(c("co", "lo", "hi"),as.numeric))
    
  for (i in sqrts){
        est<-ds$co[ds$name==i]
        if (0 > est){
          ds$co[ds$name==i]<- (0-(est^2))
        } else {
          ds$co[ds$name==i]<- (est^2)
          }
  
        low<-ds$lo[ds$name==i]
        if (0 > low){
          ds$lo[ds$name==i]<- (0-(low^2))
        } else {
          ds$lo[ds$name==i]<- (low^2) 
        }
        
        high<-ds$hi[ds$name==i]
        if (0 > high){
          ds$hi[ds$name==i]<- (0-(high^2))
        } else {
          ds$hi[ds$name==i]<- (high^2) 
        }
  }
  
  cols<-c("name","co.p", "lo.p", "hi.p")
  
  ds_r <- data.frame(matrix(ncol = length(cols)))
  names(ds_r)<-cols
  
  for (j in 1:nrow(ds)){
    if (ds$name[j]%in%f.vars){
      ds_r<-rbind(ds_r,c(name=ds$name[j],sapply(ds[j,3:5],expm1)))
    } else {
      ds_rn <- c(ds$name[j],ds[j,3:5])
      names(ds_rn) <- cols
      ds_r<-rbind(ds_r,ds_rn)
      }
    
  }
  
  return(merge(ds,ds_r,by="name",sort = FALSE))
}
